Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.material
Class SkyMaterialConfiguration

    java.lang.Object
      de.grogra.imp3d.glsl.utility.ShaderConfiguration
          de.grogra.imp3d.glsl.material.MaterialConfiguration
              de.grogra.imp3d.glsl.material.SkyMaterialConfiguration

Direct Known Subclasses:
  SkyReflectionMaterialConfiguration

    public class SkyMaterialConfiguration

extends MaterialConfiguration

This class defines a state for a glsl-Shader, where individual ChannelMaps may register Textures, TmpVariables or UniformVariables. It also may complete a shader by querying all needed input from a GLSLCachedMaterial.

Author:
  shi

Field Summary

Fields inherited from class de.grogra.imp3d.glsl.material.MaterialConfiguration
`IT_AMBIENT, IT_DIFFUSE, IT_DIFFUSE_TRANSPERENCY, IT_EMISSIVE, IT_NORMAL, IT_POSITION, IT_PROLOGUE, IT_SHININESS, IT_SPECULAR, IT_TRANSPERENCY, IT_TRANSPERENCY_SHININESS`

Fields inherited from class de.grogra.imp3d.glsl.utility.ShaderConfiguration
`constVar, customSampler, funcMap, referenceKey, sampler, T_BOOL, T_FLOAT, T_MAT3, T_SAMPLER2D, T_SAMPLER2DRECT, T_SAMPLER2DSHADOW, T_SAMPLERCUBE, T_VEC2, T_VEC3, T_VEC4, uniform, USE_DERIVATES, USE_GLOBAL_POS, USE_LOCAL_POS, USE_UV, var, version`

Constructor Summary
`SkyMaterialConfiguration()`

Method Summary
`ShaderConfiguration` | `clone()`
`java.lang.String[]` | `completeShader(Result[] input)`
`boolean` | `equals(java.lang.Object obj)`
`GLSLChannelMap` | `getDefaultInputChannel()`
`int` | `hashCode()`
`void` | `set(OpenGLState glState, GLSLDisplay disp, java.lang.Object obj)`
`protected void` | `setThisToOther(ShaderConfiguration other)` Sets all permanent attributes of this instance to the values from other.
`void` | `setupDynamicUniforms(javax.media.opengl.GL gl, GLSLDisplay disp, int shaderNo)`
`void` | `setupShader(javax.media.opengl.GL gl, GLSLDisplay disp, int shaderNo)`

Methods inherited from class de.grogra.imp3d.glsl.material.MaterialConfiguration
`getShaderByDefaultCollection, isShaderAntialiasing, perInstance`

Methods inherited from class de.grogra.imp3d.glsl.utility.ShaderConfiguration
`bindTextures, cleanUp, clearTmpVariables, getBit, getReferenceKeyValue, registerCustomTexture, registerFunc, registerGlobalConst, registerNewTmpVar, registerNewUniform, registerTexture, set, setBit, setupTextures, setVersion`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkyMaterialConfiguration

    public SkyMaterialConfiguration()

Method Detail

### clone

    public ShaderConfiguration clone()

  Overrides:
    `clone` in class `MaterialConfiguration`

### completeShader

    public java.lang.String[] completeShader(Result[] input)

  Overrides:
    `completeShader` in class `MaterialConfiguration`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `MaterialConfiguration`

### getDefaultInputChannel

    public GLSLChannelMap getDefaultInputChannel()

  Overrides:
    `getDefaultInputChannel` in class `MaterialConfiguration`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MaterialConfiguration`

### set

    public void set(OpenGLState glState,
                    GLSLDisplay disp,
                    java.lang.Object obj)

  Overrides:
    `set` in class `MaterialConfiguration`

### setThisToOther

    protected void setThisToOther(ShaderConfiguration other)

  Description copied from class: `ShaderConfiguration`
  Sets all permanent attributes of this instance to the values from other. This method is used by clone() to generate a shallow copy of a ShaderConfiguration

  Overrides:
    `setThisToOther` in class `MaterialConfiguration`
  Parameters:
    `other` - Reference from which attributes are copied

### setupDynamicUniforms

    public void setupDynamicUniforms(javax.media.opengl.GL gl,
                                     GLSLDisplay disp,
                                     int shaderNo)

  Overrides:
    `setupDynamicUniforms` in class `MaterialConfiguration`

### setupShader

    public void setupShader(javax.media.opengl.GL gl,
                            GLSLDisplay disp,
                            int shaderNo)

  Overrides:
    `setupShader` in class `MaterialConfiguration`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD